import click
from aiohttp import web


async def handle_request(request):
    return web.json_response({})


def get_server():
    return web.Server(handle_request)


async def run_server(loop, port):
    click.echo("Starting server...")
    aiohttp_server = get_server()
    aio_server = await loop.create_server(aiohttp_server, "0.0.0.0", port)
    click.echo("Server listening on port {}".format(port))
    await aio_server.serve_forever()
