from typing import List

import psutil

CURRENT_PROCESS = psutil.Process()


def terminate_processes(procs: List[psutil.Process], timeout=3):
    # https://psutil.readthedocs.io/en/latest/#terminate-my-children
    for p in procs:
        p.terminate()
    gone, alive = psutil.wait_procs(procs, timeout=timeout)

    if alive:
        # send SIGKILL
        for p in alive:
            p.kill()
        gone, alive = psutil.wait_procs(alive, timeout=timeout)
        return alive


def get_root_process() -> psutil.Process:
    proc = CURRENT_PROCESS
    while proc.parent():
        proc = proc.parent()
    return proc
